﻿.PanelTransparent {
    background-color: transparent !important;
}

.x-column-header-inner .x-column-header-text {
    white-space: normal;
}

.row-taslak {
    background-color: rgba(248, 212, 114, 0.3);
}

.row-pasif {
    background-color: rgba(255, 10, 10, 0.3);
}

.x-grid-custom .x-grid-row TD {
    vertical-align: middle;
}

.grid-row-bold {
    font-weight: bold;
}

.custom-icon {
    display: flex;
    align-items: center;
    text-decoration: none !important;
    color: #999 !important;
    font-weight: bold;
}

.page-loader-wrapper {
    z-index: 99999999;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    /*background: #eee;*/
    /*background: #eeeeee82;*/
    background: #eeeeee00;
    overflow: hidden;
    text-align: center;
}

.page-loader-wrapper p {
    font-size: 13px;
    margin-top: 10px;
    font-weight: bold;
    color: #444;
}

.page-loader-wrapper .loader {
    position: relative;
    top: calc(50% - 30px);
}



/**===== nest3 =====*/
#nest3 {
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    height: 50px;
    width: 50px;
    margin: -25px 0 0 -25px;
    border: 2px solid transparent;
    border-top-color: #000000;
    box-shadow: 0 0 5px skyblue;
    border-radius: 50%;
    -webkit-animation: spin9 1.5s ease infinite;
    animation: spin9 1.5s ease infinite;
}

    #nest3:before {
        content: "";
        position: absolute;
        top: 7px;
        right: 7px;
        bottom: 7px;
        left: 7px;
        border: 2px solid transparent;
        border-radius: 50%;
        border-top-color: #000000;
        box-shadow: 0 0 5px skyblue;
        -webkit-animation: spin9_x 1s linear infinite;
        animation: spin9_x 1s linear infinite;
    }

    #nest3:after {
        content: "";
        position: absolute;
        top: 15px;
        right: 15px;
        bottom: 15px;
        left: 15px;
        border: 2px solid transparent;
        border-radius: 50%;
        border-top-color: #000000;
        box-shadow: 0 0 5px skyblue;
        -webkit-animation: spin9 1.5s linear infinite;
        animation: spin9 1.5s linear infinite;
    }

@-webkit-keyframes spin9 {
    from {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }
}

@keyframes spin9 {
    from {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }
}

@-webkit-keyframes spin9_x {
    0% {
        -webkit-transform: rotateX(0deg);
        transform: rotateX(0deg);
    }

    100% {
        -webkit-transform: rotateX(360deg);
        transform: rotateX(360deg);
    }
}

@keyframes spin9_x {
    0% {
        -webkit-transform: rotateX(0deg);
        transform: rotateX(0deg);
        -webkit-transform: rotateX(0deg);
        transform: rotateX(0deg);
    }

    100% {
        -webkit-transform: rotateX(360deg);
        transform: rotateX(360deg);
        -webkit-transform: rotateX(360deg);
        transform: rotateX(360deg);
    }
}
/** END of nest3 */
/*-----------------------------------------------------------------------*/

.preloader {
    display: inline-block;
    position: relative;
    width: 50px;
    height: 50px;
    -webkit-animation: container-rotate 1568ms linear infinite;
    -moz-animation: container-rotate 1568ms linear infinite;
    -o-animation: container-rotate 1568ms linear infinite;
    animation: container-rotate 1568ms linear infinite;
}

.preloader.pl-size-xl {
    width: 75px;
    height: 75px;
}

.preloader.pl-size-x2 {
    width: 125px;
    height: 125px;
}

.preloader.pl-size-l {
    width: 60px;
    height: 60px;
}

.preloader.pl-size-md {
    width: 50px;
    height: 50px;
}

.preloader.pl-size-sm {
    width: 40px;
    height: 40px;
}

.preloader.pl-size-xs {
    width: 25px;
    height: 25px;
}

.spinner-layer {
    position: absolute;
    width: 100%;
    height: 100%;
    border-color: #F44336;
    -ms-opacity: 1;
    opacity: 1;
    -webkit-animation: fill-unfill-rotate 5332ms cubic-bezier(0.4, 0, 0.2, 1) infinite both;
    -moz-animation: fill-unfill-rotate 5332ms cubic-bezier(0.4, 0, 0.2, 1) infinite both;
    -o-animation: fill-unfill-rotate 5332ms cubic-bezier(0.4, 0, 0.2, 1) infinite both;
    animation: fill-unfill-rotate 5332ms cubic-bezier(0.4, 0, 0.2, 1) infinite both;
}

.spinner-layer.pl-red {
    border-color: #F44336;
}

.spinner-layer.pl-pink {
    border-color: #E91E63;
}

.spinner-layer.pl-purple {
    border-color: #9C27B0;
}

.spinner-layer.pl-deep-purple {
    border-color: #673AB7;
}

.spinner-layer.pl-indigo {
    border-color: #3F51B5;
}

.spinner-layer.pl-blue {
    border-color: #2196F3;
}

.spinner-layer.pl-light-blue {
    border-color: #03A9F4;
}

.spinner-layer.pl-cyan {
    border-color: #00BCD4;
}

.spinner-layer.pl-teal {
    border-color: #009688;
}

.spinner-layer.pl-green {
    border-color: #4CAF50;
}

.spinner-layer.pl-light-green {
    border-color: #8BC34A;
}

.spinner-layer.pl-lime {
    border-color: #CDDC39;
}

.spinner-layer.pl-yellow {
    border-color: #ffe821;
}

.spinner-layer.pl-amber {
    border-color: #FFC107;
}

.spinner-layer.pl-orange {
    border-color: #FF9800;
}

.spinner-layer.pl-deep-orange {
    border-color: #FF5722;
}

.spinner-layer.pl-brown {
    border-color: #795548;
}

.spinner-layer.pl-grey {
    border-color: #9E9E9E;
}

.spinner-layer.pl-blue-grey {
    border-color: #607D8B;
}

.spinner-layer.pl-black {
    border-color: #000000;
}

.spinner-layer.pl-white {
    border-color: #ffffff;
}

.right {
    float: right !important;
}

.gap-patch {
    position: absolute;
    top: 0;
    left: 45%;
    width: 10%;
    height: 100%;
    overflow: hidden;
    border-color: inherit;
}

    .gap-patch.circle {
        width: 1000%;
        left: -450%;
    }

.circle-clipper {
    display: inline-block;
    position: relative;
    width: 50%;
    height: 100%;
    overflow: hidden;
    border-color: inherit;
}

 .circle-clipper .circle {
     width: 200%;
     height: 100%;
     border-width: 3px;
     border-style: solid;
     border-color: inherit;
     border-bottom-color: transparent !important;
     -ms-border-radius: 50%;
     border-radius: 50%;
     -webkit-animation: none;
     animation: none;
     position: absolute;
     top: 0;
     right: 0;
     bottom: 0;
 }

 .circle-clipper.left .circle {
     left: 0;
     border-right-color: transparent !important;
     -webkit-transform: rotate(129deg);
     -moz-transform: rotate(129deg);
     -ms-transform: rotate(129deg);
     -o-transform: rotate(129deg);
     transform: rotate(129deg);
     -webkit-animation: left-spin 1333ms cubic-bezier(0.4, 0, 0.2, 1) infinite both;
     -moz-animation: left-spin 1333ms cubic-bezier(0.4, 0, 0.2, 1) infinite both;
     -o-animation: left-spin 1333ms cubic-bezier(0.4, 0, 0.2, 1) infinite both;
     animation: left-spin 1333ms cubic-bezier(0.4, 0, 0.2, 1) infinite both;
 }

 .circle-clipper.right .circle {
     left: -100%;
     border-left-color: transparent !important;
     -webkit-transform: rotate(-129deg);
     -moz-transform: rotate(-129deg);
     -ms-transform: rotate(-129deg);
     -o-transform: rotate(-129deg);
     transform: rotate(-129deg);
     -webkit-animation: right-spin 1333ms cubic-bezier(0.4, 0, 0.2, 1) infinite both;
     -moz-animation: right-spin 1333ms cubic-bezier(0.4, 0, 0.2, 1) infinite both;
     -o-animation: right-spin 1333ms cubic-bezier(0.4, 0, 0.2, 1) infinite both;
     animation: right-spin 1333ms cubic-bezier(0.4, 0, 0.2, 1) infinite both;
 }

@-webkit-keyframes container-rotate {
    to {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes container-rotate {
    to {
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-webkit-keyframes fill-unfill-rotate {
    12.5% {
        -webkit-transform: rotate(135deg);
        transform: rotate(135deg);
    }

    25% {
        -webkit-transform: rotate(270deg);
        transform: rotate(270deg);
    }

    37.5% {
        -webkit-transform: rotate(405deg);
        transform: rotate(405deg);
    }

    50% {
        -webkit-transform: rotate(540deg);
        transform: rotate(540deg);
    }

    62.5% {
        -webkit-transform: rotate(675deg);
        transform: rotate(675deg);
    }

    75% {
        -webkit-transform: rotate(810deg);
        transform: rotate(810deg);
    }

    87.5% {
        -webkit-transform: rotate(945deg);
        transform: rotate(945deg);
    }

    to {
        -webkit-transform: rotate(1080deg);
        transform: rotate(1080deg);
    }
}

@keyframes fill-unfill-rotate {
    12.5% {
        transform: rotate(135deg);
    }

    25% {
        transform: rotate(270deg);
    }

    37.5% {
        transform: rotate(405deg);
    }

    50% {
        transform: rotate(540deg);
    }

    62.5% {
        transform: rotate(675deg);
    }

    75% {
        transform: rotate(810deg);
    }

    87.5% {
        transform: rotate(945deg);
    }

    to {
        transform: rotate(1080deg);
    }
}

@-webkit-keyframes left-spin {
    from {
        -webkit-transform: rotate(130deg);
        -moz-transform: rotate(130deg);
        -ms-transform: rotate(130deg);
        -o-transform: rotate(130deg);
        transform: rotate(130deg);
    }

    50% {
        -webkit-transform: rotate(-5deg);
        -moz-transform: rotate(-5deg);
        -ms-transform: rotate(-5deg);
        -o-transform: rotate(-5deg);
        transform: rotate(-5deg);
    }

    to {
        -webkit-transform: rotate(130deg);
        -moz-transform: rotate(130deg);
        -ms-transform: rotate(130deg);
        -o-transform: rotate(130deg);
        transform: rotate(130deg);
    }
}

@keyframes left-spin {
    from {
        -moz-transform: rotate(130deg);
        -ms-transform: rotate(130deg);
        -o-transform: rotate(130deg);
        -webkit-transform: rotate(130deg);
        transform: rotate(130deg);
    }

    50% {
        -moz-transform: rotate(-5deg);
        -ms-transform: rotate(-5deg);
        -o-transform: rotate(-5deg);
        -webkit-transform: rotate(-5deg);
        transform: rotate(-5deg);
    }

    to {
        -moz-transform: rotate(130deg);
        -ms-transform: rotate(130deg);
        -o-transform: rotate(130deg);
        -webkit-transform: rotate(130deg);
        transform: rotate(130deg);
    }
}

@-webkit-keyframes right-spin {
    from {
        -webkit-transform: rotate(-130deg);
        -moz-transform: rotate(-130deg);
        -ms-transform: rotate(-130deg);
        -o-transform: rotate(-130deg);
        transform: rotate(-130deg);
    }

    50% {
        -webkit-transform: rotate(5deg);
        -moz-transform: rotate(5deg);
        -ms-transform: rotate(5deg);
        -o-transform: rotate(5deg);
        transform: rotate(5deg);
    }

    to {
        -webkit-transform: rotate(-130deg);
        -moz-transform: rotate(-130deg);
        -ms-transform: rotate(-130deg);
        -o-transform: rotate(-130deg);
        transform: rotate(-130deg);
    }
}

@-moz-keyframes right-spin {
    from {
        -moz-transform: rotate(-130deg);
        -ms-transform: rotate(-130deg);
        -o-transform: rotate(-130deg);
        -webkit-transform: rotate(-130deg);
        transform: rotate(-130deg);
    }

    50% {
        -moz-transform: rotate(5deg);
        -ms-transform: rotate(5deg);
        -o-transform: rotate(5deg);
        -webkit-transform: rotate(5deg);
        transform: rotate(5deg);
    }

    to {
        -moz-transform: rotate(-130deg);
        -ms-transform: rotate(-130deg);
        -o-transform: rotate(-130deg);
        -webkit-transform: rotate(-130deg);
        transform: rotate(-130deg);
    }
}

@keyframes right-spin {
    from {
        -moz-transform: rotate(-130deg);
        -ms-transform: rotate(-130deg);
        -o-transform: rotate(-130deg);
        -webkit-transform: rotate(-130deg);
        transform: rotate(-130deg);
    }

    50% {
        -moz-transform: rotate(5deg);
        -ms-transform: rotate(5deg);
        -o-transform: rotate(5deg);
        -webkit-transform: rotate(5deg);
        transform: rotate(5deg);
    }

    to {
        -moz-transform: rotate(-130deg);
        -ms-transform: rotate(-130deg);
        -o-transform: rotate(-130deg);
        -webkit-transform: rotate(-130deg);
        transform: rotate(-130deg);
    }
}